← OBPv7.0.0 Add Permission to a System View POST /obp/v7.0.0/system-views/VIEW_ID/permissions OBPv5.1.0-addSystemViewPermission Roles: CanCreateSystemViewPermission View-System Add Permission to a System View. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: VIEW_ID: owner JSON request body fields (2) permission_name permission_nameextra_data extra_data JSON response body fields (3) bank_id gh.29.ukentitlement_id role_name Example request body { "permission_name": "can_grant_access_to_views", "extra_data": [ "accountant", "auditor" ] } Example success response { "entitlement_id": "6fb17583-1e49-4435-bb74-a14fe0996723", "role_name": "CanQueryOtherUser", "bank_id": "gh.29.uk" } Possible errors (6) OBP-20001: User not logged in. Authentication is required!OBP-10001: Incorrect json format.OBP-10007: Incorrect Role name:OBP-30216: Entitlement already exists for the user.OBP-50000: Unknown Error.OBP-20006: User is missing one or more roles: